###############################################################################
#
# (C) Copyright International Business Machines Corporation, 2009, 2013. 
#
# IBM hereby grants permission, to those obtaining a copy of these materials 
# to use, copy and modify the materials solely for use in the implementation of
# DFDL processors. 
# 
# THESE MATERIALS ARE PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND.  
#
###############################################################################
#NLS_ENCODING=UNICODE
#NLS_MESSAGEFORMAT_VAR

#---------------------------------------------------------------------------------------------------------
# DFDL logical validation errors
# These errors are issued when the DFDL schema uses features that are not in the DFDL subset of XML Schema
#---------------------------------------------------------------------------------------------------------
CTDS1000E = CTDS1000E : Attribute declarations (local and global) are not allowed in DFDL schemas.
CTDS1001E = CTDS1001E : Attribute references are not allowed in DFDL schemas.
CTDS1002E = CTDS1002E : Attribute groups are not allowed in DFDL schemas.
CTDS1003E = CTDS1003E : Complex type derivations where base type is not 'anyType' are not allowed in DFDL schemas.
CTDS1004E = CTDS1004E : Complex types with simple content are not allowed in DFDL schemas.
CTDS1005E = CTDS1005E : Complex types with mixed content are not allowed in DFDL schemas.
CTDS1006E = CTDS1006E : List simple types are not allowed in DFDL schemas.
CTDS1007E = CTDS1007E : Schema redefines are not allowed in DFDL schemas. 
CTDS1008E = CTDS1008E : Complex types with empty content are not allowed in DFDL schemas. Complex type ''{0}''.
CTDS1009E = CTDS1009E : Element ''{0}'' contains a ''unique'' identity constraint which is not allowed in DFDL schemas.
CTDS1010E = CTDS1010E : Element ''{0}'' contains a ''key'' identity constraint which is not allowed in DFDL schemas.
CTDS1011E = CTDS1011E : Element ''{0}'' contains a ''keyref'' identity constraint which is not allowed in DFDL schemas.
CTDS1012E = CTDS1012E : Complex type ''{0}'' has a simple type for its base type.  The derived method must be extension.
CTDS1013E = CTDS1013E : Complex type ''{0}'' extends a type having simple content. Simple content cannot be extended with a complex content. 
CTDS1014W = CTDS1014W : Element ref ''{0}'' has type ''anyType'' and has ''minOccurs'' or ''maxOccurs'' set to something other than 1.
CTDS1015E = CTDS1015E : Substitution groups are not allowed in DFDL schemas.

#Errors for use of non-DFDL simple types: NOTATION, normalizedString, token, Name, NCName, QName, language, positiveInteger, nonPositiveInteger, negativeInteger,
#gYear, gYearMonth, gMonth, gMonthDay, gDay, ID, IDREF, IDREFS, ENTITIES, NMTOKEN, NMTOKENS, anyURI, base64Binary
CTDS1016E = CTDS1016E : DFDL does not support the simple type ''NOTATION''. Element ''{0}''.
CTDS1017E = CTDS1017E : DFDL does not support the type ''normalizedString''. Element ''{0}''.
CTDS1018E = CTDS1018E : DFDL does not support the type ''token''. Element ''{0}''.
CTDS1019E = CTDS1019E : DFDL does not support the type ''Name''. Element ''{0}''.
CTDS1020E = CTDS1020E : DFDL does not support the type ''NCName''. Element ''{0}''.
CTDS1021E = CTDS1021E : DFDL does not support the type ''QName''. Element ''{0}''.
CTDS1022E = CTDS1022E : DFDL does not support the type ''language''. Element ''{0}''.
CTDS1023E = CTDS1023E : DFDL does not support the type ''positiveInteger''. Element ''{0}''.
CTDS1024E = CTDS1024E : DFDL does not support the type ''nonPositiveInteger''. Element ''{0}''.
CTDS1025E = CTDS1025E : DFDL does not support the type ''negativeInteger''. Element ''{0}''.
CTDS1026E = not used 
CTDS1027E = CTDS1027E : DFDL does not support the type ''gYear''. Element ''{0}''.
CTDS1028E = CTDS1028E : DFDL does not support the type ''gYearMonth''. Element ''{0}''.
CTDS1029E = CTDS1029E : DFDL does not support the type ''gMonth''. Element ''{0}''.
CTDS1030E = CTDS1030E : DFDL does not support the type ''gMonthDay''. Element ''{0}''.
CTDS1031E = CTDS1031E : DFDL does not support the type ''gDay''. Element ''{0}''.
CTDS1032E = CTDS1032E : DFDL does not support the type ''ID''. Element ''{0}''.
CTDS1033E = CTDS1033E : DFDL does not support the type ''IDREF'' or ''IDREFS''. Element ''{0}''.
CTDS1034E = not used
CTDS1035E = CTDS1035E : DFDL does not support the type ''ENTITY'' or ''ENTITIES''. Element ''{0}''.
CTDS1036E = CTDS1036E : DFDL does not support the type ''NMTOKEN'' or ''NMTOKENS''. Element ''{0}''.
CTDS1037E = CTDS1037E : DFDL does not support the type ''anyURI''. Element ''{0}''.
CTDS1038E = CTDS1038E : DFDL does not support the type ''base64Binary''. Element ''{0}''.

#Errors for use of facet features that are not in the DFDL subset of XML Schema
CTDS1039E = CTDS1039E : DFDL does not support the ''{0}'' validation facet on simple type ''{1}''.
CTDS1040E = CTDS1040E : DFDL does not support the 'whiteSpace' validation facet on a simple type.
CTDS1041E = CTDS1041E : DFDL does not support the ''pattern'' validation facet on simple type ''{1}''. Simple type definition ''{0}''.
CTDS1042E = CTDS1042E : The value of ''pattern'' validation facet ''{1}'' is not a valid XML Schema regular expression. Simple type definition ''{0}''. 

CTDS1043E = CTDS1043E : DFDL does not support the ''all'' content model for model groups. Parent ''{0}''.
CTDS1044E = CTDS1044E : DFDL does not support ''minOccurs'' on model groups or group references. Parent ''{0}''.
CTDS1045E = CTDS1045E : DFDL does not support ''maxOccurs'' on model groups or group references. Parent ''{0}''.
CTDS1046E = CTDS1046E : DFDL does not support a choice without any content. Parent ''{0}''.

CTDS1047E = CTDS1047E : Group definition ''{0}'' is circularly defined which is not allowed in DFDL schemas.
CTDS1048E = CTDS1048E : Element ''{0}'' is circularly defined which is not allowed in DFDL schemas.
CTDS1049E = not used 
CTDS1050E = not used - reserved
CTDS1051E = CTDS1051E : DFDL does not support the ''length'' validation facet on simple type ''{1}''. Set ''minLength'' and ''maxLength'' to the same value.
CTDS1052E = not used - reserved

CTDS1053E = CTDS1053E : DFDL does not support the restriction of type ''NOTATION''. Simple type ''{0}''.
CTDS1054E = CTDS1054E : DFDL does not support the restriction of type ''normalizedString''. Simple type ''{0}''.
CTDS1055E = CTDS1055E : DFDL does not support the restriction of type ''token''. Simple type ''{0}''.
CTDS1056E = CTDS1056E : DFDL does not support the restriction of type ''Name''. Simple type ''{0}''.
CTDS1057E = CTDS1057E : DFDL does not support the restriction of type ''NCName''. Simple type ''{0}''.
CTDS1058E = CTDS1058E : DFDL does not support the restriction of type ''QName''. Simple type ''{0}''.
CTDS1059E = CTDS1059E : DFDL does not support the restriction of type ''language''. Simple type ''{0}''.
CTDS1060E = CTDS1060E : DFDL does not support the restriction of type ''positiveInteger''. Simple type ''{0}''.
CTDS1061E = CTDS1061E : DFDL does not support the restriction of type ''nonPositiveInteger''. Simple type ''{0}''.
CTDS1062E = CTDS1062E : DFDL does not support the restriction of type ''negativeInteger''. Simple type ''{0}''.
CTDS1063E = not used
CTDS1064E = CTDS1064E : DFDL does not support the restriction of type ''gYear''. Simple type ''{0}''.
CTDS1065E = CTDS1065E : DFDL does not support the restriction of type ''gYearMonth''. Simple type ''{0}''.
CTDS1066E = CTDS1066E : DFDL does not support the restriction of type ''gMonth''. Simple type ''{0}''.
CTDS1067E = CTDS1067E : DFDL does not support the restriction of type ''gMonthDay''. Simple type ''{0}''.
CTDS1068E = CTDS1068E : DFDL does not support the restriction of type ''gDay''. Simple type ''{0}''.
CTDS1069E = CTDS1069E : DFDL does not support the restriction of type ''ID''. Simple type ''{0}''.
CTDS1070E = CTDS1070E : DFDL does not support the restriction of type ''IDREF'' or ''IDREFS''. Simple type ''{0}''.
CTDS1071E = not used 
CTDS1072E = CTDS1072E : DFDL does not support the restriction of type ''ENTITY'' or ''ENTITIES''. Simple type ''{0}''.
CTDS1073E = CTDS1073E : DFDL does not support the restriction of type ''NMTOKEN'' or ''NMTOKENS''. Simple type ''{0}''.
CTDS1074E = CTDS1074E : DFDL does not support the restriction of type ''anyURI''. Simple type ''{0}''.
CTDS1075E = CTDS1075E : DFDL does not support the restriction of type ''base64Binary''. Simple type ''{0}''.
CTDS1076E = CTDS1076E : DFDL does not support the restriction of type ''duration''. Simple type ''{0}''.
CTDS1077E = CTDS1077E : DFDL does not support the type ''duration''. Element ''{0}''.
CTDS1078E = CTDS1078E : Attribute group definition ''{0}'' is circularly defined which is not allowed in DFDL schemas.
CTDS1079E = CTDS1079E : DFDL does not support the type ''anyType'' or ''anySimpleType''. Element ''{0}''.
CTDS1080E = CTDS1080E : DFDL requires that all members of a union are derived from the same simple type. Simple type ''{0}''.
CTDS1081E = CTDS1081E : DFDL annotations are not permitted on union types or its members. Simple type ''{0}''.
CTDS1082E = not used
CTDS1083E = not used 
CTDS1084E = CTDS1084E : DFDL does not support 'any' (wildcard) elements. 
CTDS1085E = CTDS1085E : Referenced file contains errors. File ''{0}''. 
CTDS1086E = CTDS1086E : Included or imported schema not a DFDL schema. ''{0}''.
#Remaining numbers up to CTDS1100 reserved for logical ( xsd ) validation errors

#-------------------------------------
# Schema loading and validation errors
#-------------------------------------
CTDX1100E = reserved for schema loading errors 
CTDX1101W = reserved for schema loading warnings 
CTDX1102W = reserved for schema validation warnings
CTDX1103E = reserved for schema validation errors  
CTDX1104W = CTDX1104W : Unable to resolve schema location ''{0}''.  
CTDX1105E = not used  

#--------------------------------
# DFDL physical validation errors
#--------------------------------
CTDV1106E = CTDV1106E : When type is string or hexBinary and ''lengthKind'' is ''implicit'', the ''minLength'' and ''maxLength'' validation facets must be the same. {0}. 
CTDV1107E = not used  
CTDV1108E = CTDV1108E : When type is string or hexBinary and ''lengthKind'' is ''implicit'', the ''maxLength'' validation facet must be set. {0}. 
CTDV1109E = not used  
CTDV1110E = CTDV1110E : DFDL property ''encoding'' must be a valid IANA charset or CCSID, or an expression which returns one of those. Encoding ''{1}''. {0}.
CTDV1111E = CTDV1111E : When representation is text, DFDL property ''textBidi'' must be set. {0}.
CTDV1112E = not used 
CTDV1113E = CTDV1113E : Duplicate DFDL defineFormat annotations. Each defineFormat must have a unique name. {0}.
CTDV1114E = not used 
CTDV1115E = CTDV1115E : DFDL property ''{0}'' can not be expressed in both attribute form and element form.
CTDV1116E = CTDV1116E : DFDL property ''encoding'' must be set. {0}. 
CTDV1117E = CTDV1117E : DFDL property ''byteOrder'' must be set. {0}.
CTDV1118E = CTDV1118E : When ''sequenceKind'' is ''ordered'', DFDL property ''floating'' must be set. {0}.
CTDV1119E = CTDV1119E : Duplicate DFDL defineFormat annotations found in included or imported schema. Each defineFormat must have a unique name.  {0}.
CTDV1120E = CTDV1120E : Duplicate DFDL defineEscapeScheme annotations found in included or imported schema. Each defineEscapeScheme must have a unique name.  {0}.
CTDV1121E = CTDV1121E : Duplicate DFDL defineVariable annotations found in included or imported schema. Each defineVariable must have a unique name.  {0}.
#Remaining numbers up to CTDV1149 are available for new messages


#unsupported features - only these can use the CTDV1150 to CTDV1159 range
CTDV1150E = CTDV1150E : IBM DFDL implementation does not support ''{1}'' value ''{2}''. {0}.  
CTDV1151E = CTDV1151E : IBM DFDL implementation does not support ''{1}'' property . {0}. 
CTDV1152E = CTDV1152E : IBM DFDL implementation does not support assert ''{1}'' value ''{2}''. {0}. 
CTDV1153E = CTDV1153E : IBM DFDL implementation does not support discriminator ''{1}'' value ''{2}''. {0}.
CTDV1154E = not used - reserved
CTDV1155E = CTDV1155E : IBM DFDL implementation does not support a simple type used as a prefix length which itself has a prefix length. {0}. 
CTDV1156E = CTDV1156E : IBM DFDL implementation does not support newVariableInstance, or defineVariable where ''external'' is ''true'', or setVariable on a simple type used as a prefix length. {0}. 
CTDV1157E = CTDV1157E : IBM DFDL implementation does not support a complex element with a prefixed length when the character encoding is variable-width: {0}.
CTDV1158E = not used - reserved
CTDV1159E = not used - reserved

CTDV1160E = CTDV1160E : An internal error was encountered while building a grammar from the DFDL schema.
CTDV1160D = CTDV1160D : The DFDL grammar generator has encountered an unexpected condition and has terminated.
CTDV1160A = CTDV1160A : Please report this error to IBM.

CTDV1200E = CTDV1200E : When ''occursCountKind'' is ''expression'', DFDL property ''occursCount'' must be set. {0}.
CTDV1201E = CTDV1201E : DFDL property ''occursCount'' must be an expression. {0}.
CTDV1202E = CTDV1202E : DFDL property ''leadingSkip'' must be set. Object {0}.
CTDV1203E = CTDV1203E : DFDL property ''leadingSkip'' must be a non-negative integer. {0}.
CTDV1204E = CTDV1204E : DFDL property ''alignment'' must be set. {0}.
CTDV1205E = CTDV1205E : DFDL property ''alignmentUnits'' must be set. {0}.
CTDV1206E = CTDV1206E : When representation is text or delimiters are defined, DFDL property ''ignoreCase'' must be set. {0}.
CTDV1207E = CTDV1207E : When an element is nillable and an initiator is specified, DFDL property ''nilValueDelimiterPolicy'' must be set. {0}.
CTDV1208E = not used
CTDV1209E = not used 
CTDV1210E = CTDV1210E : When ''lengthKind'' is ''explicit'', DFDL property ''length'' must be set. {0}.
CTDV1211E = CTDV1211E : When ''lengthKind'' is ''explicit'', DFDL property ''lengthUnits'' must be set. {0}. 
CTDV1212E = CTDV1212E : When ''lengthKind'' is ''implicit'', validation facet ''maxLength'' must be set. {0}.
CTDV1213E = CTDV1213E : When ''lengthKind'' is ''implicit'', DFDL property ''lengthUnits'' must be set. {0}.
CTDV1214E = CTDV1214E : When ''lengthKind'' is ''prefixed'', DFDL property ''prefixLengthType'' must be set. {0}.
CTDV1215E = CTDV1215E : When ''lengthKind'' is ''prefixed'', DFDL property ''prefixIncludesPrefixLength'' must be set. {0}.
CTDV1216E = CTDV1216E : When ''lengthKind'' is ''prefixed'', property ''lengthUnits'' must be set. {0}.
CTDV1217E = CTDV1217E : When ''lengthKind'' is ''pattern'', DFDL property ''lengthPattern'' must be set. {0}.
CTDV1218E = not used 
CTDV1219E = CTDV1219E : When an object has a terminator, DFDL property ''documentFinalTerminatorCanBeMissing'' must be set. {0}.
CTDV1220E = CTDV1220E : When ''occursCountKind'' is ''stopValue'', DFDL property ''occursStopValue'' must be set. {0}.
CTDV1221E = CTDV1221E : DFDL property ''trailingSkip'' must be a non-negative integer. {0}.
CTDV1222E = CTDV1222E : When an element is nillable, DFDL property ''nilKind'' must be set. {0}.
CTDV1223E = CTDV1223E : When an element is nillable, DFDL property ''nilValue'' must be set. {0}.
CTDV1224E = not used 
CTDV1225E = CTDV1225E : DFDL property ''nilValue'' must not be empty. {0}. 
CTDV1226E = CTDV1226E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textStringPadCharacter'' must be set. {0}.
CTDV1227E = CTDV1227E : DFDL property ''textStringPadCharacter'' must not be empty. {0}.
CTDV1228E = CTDV1228E : When representation is text, DFDL property ''textTrimKind'' must be set. {0}.
CTDV1229E = CTDV1229E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textNumberJustification'' must be set. {0}.
CTDV1230E = CTDV1230E : When number representation is text, DFDL property ''textNumberRep'' must be set. {0}.
CTDV1231E = CTDV1231E : When ''binaryCalendarRep'' is ''packed'', DFDL property ''binaryPackedSignCodes'' must be set. {0}.
CTDV1232E = CTDV1232E : When type is decimal or integer, and number representation is binary, DFDL property ''binaryNumberRep'' must be set. {0}.
CTDV1233E = CTDV1233E : When ''binaryNumberRep'' is ''packed'', DFDL property ''binaryPackedSignCodes'' must be set. {0}.
CTDV1234E = CTDV1234E : DFDL property ''binaryPackedSignCodes'' must not be empty. {0}.
CTDV1235E = CTDV1235E : When type is decimal and number representation is binary, DFDL property ''binaryDecimalVirtualPoint'' must be set. {0}.
CTDV1236E = CTDV1236E : When number or calendar representation is binary, DFDL property ''binaryNumberCheckPolicy'' must be set. {0}.
CTDV1237E = CTDV1237E : When type is float or double, and number representation is binary, DFDL property ''binaryFloatRep'' must be set. {0}.
CTDV1238E = not used 
CTDV1239E = CTDV1239E : For a number, DFDL property ''representation'' must be set. {0}.
CTDV1240E = CTDV1240E : When representation is text, DFDL property ''textPadKind'' must be set. {0}.
CTDV1241E = CTDV1241E : For a calendar, DFDL property ''representation'' must be set. {0}.
CTDV1242E = CTDV1242E : When type is date or time, DFDL property ''binaryCalendarRep'' can not be ''binarySeconds'' or ''binaryMilliseconds''. {0}.
CTDV1243E = not used 
CTDV1244E = not used  
CTDV1245E = not used
CTDV1246E = CTDV1246E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textCalendarJustification'' must be set. {0}.
CTDV1247E = not used 
CTDV1248E = CTDV1248E : When ''binaryCalendarRep'' is ''binarySeconds'' or ''binaryMilliseconds'', DFDL property ''binaryCalendarEpoch'' must be set. {0}.
CTDV1249E = CTDV1249E : DFDL property ''binaryCalendarEpoch'' must be a valid dateTime value. {0}.
CTDV1250E = CTDV1250E : When calendar representation is binary, DFDL property ''binaryCalendarRep'' must be set. {0}.
CTDV1251E = CTDV1251E : When type is boolean, DFDL property ''representation'' must be set. {0}.
CTDV1252E = not used 
CTDV1253E = not used 
CTDV1254E = not used
CTDV1255E = not used 
CTDV1256E = CTDV1256E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textBooleanJustification'' must be set. {0}.
CTDV1257E = CTDV1257E : When boolean representation is binary, DFDL property ''binaryBooleanTrueRep'' must be set. {0}.
CTDV1258E = CTDV1258E : When boolean representation is binary, DFDL property ''binaryBooleanFalseRep'' must be set. {0}.
CTDV1259E = CTDV1259E : DFDL property ''initiator'' must either be set or be empty. {0}.  
CTDV1260E = CTDV1260E : DFDL property ''terminator'' must either be set or be empty. {0}. 
CTDV1261E = CTDV1261E : When ''choiceLengthKind'' is ''explicit'', DFDL property ''choiceLength'' must be set. {0}.
CTDV1262E = CTDV1262E : For a sequence, DFDL property ''separator'' must either be set or be empty. {0}.  
CTDV1263E = CTDV1263E : For a sequence, DFDL property ''sequenceKind'' must be set. {0}.
CTDV1264E = CTDV1264E : For a choice, DFDL property ''choiceLengthKind'' must be set. {0}.
CTDV1265E = CTDV1265E : When number representation is text, DFDL property ''textNumberPattern'' must be set. {0}.
CTDV1266E = CTDV1266E : When ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'' and ''textNumberPattern'' contains '','', DFDL property ''textStandardGroupingSeparator'' must be set. {0}. 
CTDV1267E = CTDV1267E : When ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'' and ''textNumberPattern'' contains ''.'', ''E'' or ''@'', DFDL property ''textStandardDecimalSeparator'' must be set. {0}.
CTDV1268E = CTDV1268E : When ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'' and ''textNumberPattern'' contains ''E'', DFDL property ''textStandardExponentRep'' must be set. {0}.
CTDV1269E = CTDV1269E : When representation is text, DFDL property ''textNumberCheckPolicy'' must be set. {0}.
CTDV1270E = CTDV1270E : When type is float or double, ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'', DFDL property ''textStandardInfinityRep'' must be set. {0}.
CTDV1271E = CTDV1271E : When type is float or double, ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'', DFDL property ''textStandardNaNRep'' must be set. {0}.
CTDV1272E = CTDV1272E : When ''textNumberRep'' is ''standard'', DFDL property ''textStandardBase'' must be set. {0}.
CTDV1273E = CTDV1273E : When ''textNumberRounding'' is ''explicit'', DFDL property ''textNumberRoundingMode'' must be set. {0}.
CTDV1274E = CTDV1274E : When ''textNumberRep'' is ''standard'' and ''textStandardBase'' is ''10'', DFDL property ''textStandardZeroRep'' must be set. {0}.
CTDV1275E = CTDV1275E : When ''textNumberRep'' is ''zoned'', DFDL property ''textZonedSignStyle'' must be set. {0}.
CTDV1276E = CTDV1276E : When ''calendarPatternKind'' is ''explicit'', DFDL property ''calendarPattern'' must be set. {0}.
CTDV1277E = CTDV1277E : For a calendar, DFDL property ''calendarCenturyStart'' must be set. {0}.
CTDV1278E = CTDV1278E : For a calendar, DFDL property ''calendarDaysInFirstWeek'' must be set. {0}.
CTDV1279E = CTDV1279E : For a calendar, DFDL property ''calendarFirstDayOfWeek'' must be set. {0}.
CTDV1280E = CTDV1280E : For a calendar, DFDL property ''calendarObserveDST'' must be set. {0}.
CTDV1281E = CTDV1281E : For a calendar, DFDL property ''calendarPatternKind'' must be set. {0}.
CTDV1282E = CTDV1282E : For a calendar, DFDL property ''calendarCheckPolicy'' must be set. {0}.
CTDV1283E = not used
CTDV1284E = CTDV1284E : For a calendar, DFDL property ''calendarTimeZone'' must be set. {0}.
CTDV1285W = CTDV1285W : DFDL property ''representation'' does not apply to type string. Representation is always text. {0}.
CTDV1286E = CTDV1286E : DFDL property ''lengthKind'' must be set. {0}.
CTDV1287W = CTDV1287W : DFDL property ''lengthKind'' must be provided when this global element is referenced. {0}.
CTDV1288E = CTDV1288E : When ''lengthKind'' is ''delimited'' and representation is binary, only type hexBinary or ''packed'', ''bcd'' or ''ibm4690packed'' binary representations are allowed. {0}.
CTDV1291E = CTDV1291E : When type is float or double, DFDL property ''textNumberRep'' must be ''standard''.  {0}.
CTDV1292W = CTDV1292W : When number representation is text, DFDL property ''binaryDecimalVirtualPoint'' does not apply. {0}.
CTDV1293W = CTDV1293W : When type is float or double, DFDL properties ''binaryNumberRep'', ''binaryDecimalVirtualPoint'', ''binaryPackedSignCodes'' and ''binaryNumberCheckPolicy'' do not apply. {0}.
CTDV1294W = CTDV1294W : When type is decimal or integer, DFDL property ''binaryFloatRep'' does not apply. {0}.
CTDV1295W = CTDV1295W : When ''binaryNumberRep'' is not ''packed'', DFDL property ''binaryPackedSignCodes'' does not apply. {0}.
CTDV1296E = CTDV1296E : When type is long, int, short or byte, DFDL property ''binaryNumberRep'' must not be ''bcd''. {0}.
CTDV1297E = not used 	
CTDV1298E = not used 
CTDV1299W = CTDV1299W : When number representation is binary, DFDL property ''{0}'' does not apply. {1}.

CTDV1300W = CTDV1300W : DFDL property ''{0}'' does not apply to numbers. {1}.
CTDV1301E = CTDV1301E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textStringJustification'' must be set. {0}.
CTDV1302W = CTDV1302W : DFDL property ''{0}'' does not apply to type string. {1}.
CTDV1303W = CTDV1303W : When calendar representation is text, DFDL property ''{0}'' does not apply. {1}.
CTDV1304W = CTDV1304W : When calendar representation is binary, DFDL property ''{0}'' does not apply. {1}.
CTDV1305W = CTDV1305W : DFDL property ''{0}'' does not apply to calendars. {1}.
CTDV1306E = CTDV1306E : When boolean representation is text, DFDL property ''textBooleanTrueRep'' must be set. {0}.
CTDV1307E = CTDV1307E : When boolean representation is text, DFDL property ''textBooleanFalseRep'' must be set. {0}.
CTDV1308W = CTDV1308W : When boolean representation is text, DFDL property ''{0}'' does not apply. {1}.
CTDV1309W = CTDV1309W : When boolean representation is binary, DFDL property ''{0}'' does not apply. {1}.
CTDV1310W = CTDV1310W : DFDL property ''{0}'' does not apply to type boolean. {1}
CTDV1311W = CTDV1311W : DFDL property ''{0}'' does not apply to type hexBinary. {1}.
CTDV1312W = CTDV1312W : DFDL property ''representation'' does not apply to type hexBinary. Representation is always binary. {0}.
CTDV1313E = not used 
CTDV1314E = not used 
CTDV1315E = CTDV1315E : When ''lengthKind'' is ''prefixed'', DFDL property ''prefixLengthType'' must be the QName of a simple type definition derived from integer. {0}.
CTDV1316E = CTDV1316E : DFDL property ''calendarPattern'' is not a recognisable calendar pattern. Pattern ''{0}''. {1}.
CTDV1317E = CTDV1317E : DFDL property ''calendarPattern'' must not be empty. {0}. 
CTDV1318E = CTDV1318E : When type is date, DFDL property ''calendarPattern'' must be a valid date pattern. Pattern ''{0}''. {1}.
CTDV1319E = CTDV1319E : When type is time, DFDL property ''calendarPattern'' must be a valid time pattern. Pattern ''{0}''. {1}.
CTDV1320E = CTDV1320E : When type is dateTime, DFDL property ''calendarPattern'' must be a valid dateTime pattern. Pattern ''{0}''. {1}.
CTDV1321E = CTDV1321E : DFDL property ''textBooleanTrueRep'' must be a list of one or more string literals, or an expression which returns that. {0}.
CTDV1322E = CTDV1322E : DFDL property ''textBooleanFalseRep'' must be a list of one or more string literals, or an expression which returns that. {0}.
CTDV1323E = CTDV1323E : DFDL property ''textNumberPattern'' is not a valid pattern for a standard text number. Pattern ''{0}''. {2} {1}. 
CTDV1324W = CTDV1324W : DFDL property ''textNumberPattern'' contains fractional digits that do not match the ''fractionDigits'' validation facet. {0}.
CTDV1325W = CTDV1325W : DFDL property ''textNumberPattern'' contains digits that do not match the ''totalDigits'' validation facet. {0}.
CTDV1326E = not used 
CTDV1327E = CTDV1327E : DFDL property ''textBooleanTrueRep'' contains string literal ''{0}'' which is not valid. {1}.
CTDV1328E = CTDV1328E : DFDL property ''textBooleanFalseRep'' contains string literal ''{0}'' which is not valid. {1}.
CTDV1329E = not used 
CTDV1330E = CTDV1330E : DFDL properties ''binaryBooleanTrueRep'' and ''binaryBooleanFalseRep'' must be different. {0}.
CTDV1331E = CTDV1331E : DFDL properties ''textBooleanTrueRep and ''textBooleanFalseRep'' must not contain the same value ''{1}''. {0}.
CTDV1332E = CTDV1332E : DFDL property ''fillByte'' must be set. {0}.
CTDV1333E = CTDV1333E : DFDL property ''trailingSkip'' must be set. {0}.
CTDV1334E = not used
CTDV1335E = CTDV1335E : When a sequence has a separator, DFDL property ''separatorPosition'' must be set. {0}.
CTDV1336E = CTDV1336E : When a sequence has a separator, DFDL property ''separatorSuppressionPolicy'' must be set. {0}.
CTDV1337E = not used 
CTDV1338E = CTDV1338E : DFDL property ''alignment'' must be a positive integer or ''implicit''. {0}.
CTDV1339E = not used 
#
#Missing numbers up to CTDV1400 are available for new messages
#
CTDV1400E = CTDV1400E : When type is ''hexBinary'', DFDL property ''lengthUnits'' must not be ''bits''. If this element represents a Bit Field in a C header file, then change the type to an unsigned integer type, and check all DFDL properties are correct. {0}.
CTDV1401E = CTDV1401E : DFDL properties ''textNumberGroupingSeparator'' and ''textNumberDecimalSeparator'' must be different. {0}.
CTDV1402E = CTDV1402E : DFDL property ''binaryPackedSignCodes'' must be a space separated list of valid sign codes (example ''C D F C''). {0}.
CTDV1403E = CTDV1403E : When type is ''decimal'', ''float'' or ''double'', DFDL property ''textStandardBase'' must be 10. {0}.
CTDV1404E = CTDV1404E : When type is ''hexBinary'', DFDL property ''lengthUnits'' must be ''bytes''.  {0}.

CTDV1405W = CTDV1405W : When number representation is text, DFDL property ''binaryFloatRep'' does not apply. {0}.
CTDV1406W = CTDV1406W : When number representation is text, DFDL property ''binaryNumberCheckPolicy'' does not apply. {0}.
CTDV1407W = CTDV1407W : When number representation is text, DFDL property ''binaryNumberRep'' does not apply. {0}.
CTDV1408W = CTDV1408W : When number representation is text, DFDL property ''binaryPackedSignCodes'' does not apply. {0}.
 
#Escape scheme
CTDV1409E = CTDV1409E : DFDL property ''escapeSchemeRef'' ''{1}'' does not refer to a known defineEscapeScheme annotation. {0}.
CTDV1410E = CTDV1410E : Duplicate DFDL defineEscapeScheme annotations. Each defineEscapeScheme must have a unique name. {0}.
CTDV1411E = CTDV1411E : DFDL property ''escapeKind'' must be set within an escapeScheme. {0}.
CTDV1412E = CTDV1412E : When ''escapeKind'' is ''escapeBlock'', DFDL property ''escapeBlockStart'' must be set within an escapeScheme. {0}.
CTDV1413E = CTDV1413E : DFDL property ''escapeBlockStart'' must not be empty. {0}.
CTDV1414E = CTDV1414E : When ''escapeKind'' is ''escapeBlock'', DFDL property ''escapeBlockEnd'' must be set within an escapeScheme. {0}.
CTDV1415E = CTDV1415E : DFDL property ''escapeBlockEnd'' must not be empty. {0}.
CTDV1416E = CTDV1416E : When ''escapeKind'' is ''escapeCharacter'', DFDL property ''escapeCharacter'' must be set within an escapeScheme. {0}.
CTDV1417E = CTDV1417E : DFDL property ''escapeCharacter'' must be a valid single character or a DFDL entity that represents a single character, or an expression that returns one of those. {0}.
CTDV1418E = CTDV1418E : DFDL property ''escapeEscapeCharacter'' must be set within an escapeScheme. {0}.
CTDV1419E = CTDV1419E : DFDL property ''extraEscapedCharacters'' must be set within an escapeScheme. {0}.
CTDV1420E = CTDV1420E : When ''escapeKind'' is ''escapeBlock'', DFDL property ''generateEscapeBlock'' must be set within an escapeScheme. {0}.

CTDV1421W = CTDV1421W : When ''lengthKind'' is ''implicit'', DFDL property ''length'' does not apply. {0}.
CTDV1422E = not used
CTDV1423E = CTDV1423E : When ''lengthKind'' is ''delimited'', ''endOfParent'', ''prefixed'' or ''pattern'' and ''textPadKind'' is ''padChar'', DFDL property ''textOutputMinLength'' must be set. {0}.
CTDV1424E = CTDV1424E : When representation is text, DFDL property ''escapeSchemeRef'' must be set. {0}.
CTDV1425W = CTDV1425W : For a sequence, the DFDL properties ''separator'' and ''terminator'' are not unique. {0}.
CTDV1426E = CTDV1426E : DFDL property ''{1}'' must be either a valid single character or a DFDL entity that represents a single character. {0}.
CTDV1427W = CTDV1427W : When representation is text, DFDL property ''escapeSchemeRef'' must be provided when this global element is referenced. {0}.

CTDV1428E = CTDV1428E : When ''lengthUnits'' is ''bytes'', DFDL property ''{1}'' must be a single-byte character or a byte value. {0}.
CTDV1428D = A pad character must occupy exactly one byte when the DFDL ''lengthUnits'' property is ''bytes''. 
CTDV1428A = Check that the DFDL ''encoding'', ''lengthUnits'' and ''{1}'' properties are a consistent set. 
 
CTDV1429E = CTDV1429E : When ''nilKind'' is ''literalCharacter'' and ''lengthUnits'' is ''bytes'', DFDL property ''nilValue'' must be a single-byte character or a byte value. {0}.
CTDV1429D = A nil literal character must occupy exactly one byte when the DFDL ''lengthUnits'' property is ''bytes''.
CTDV1429A = Check that the DFDL ''encoding'', ''lengthUnits'' and ''nilValue'' properties are a consistent set. 

CTDV1430W = CTDV1430W : DFDL property ''initiator'' is empty, but the ''separatorSuppressionPolicy'' for the sequence is ''anyEmpty''. {0}.
CTDV1431E = CTDV1431E : When ''initiatedContent'' is ''yes'' for the sequence or choice, DFDL property ''initiator'' must not be empty. {0}.
CTDV1432E = CTDV1432E : When ''sequenceKind'' is ''unordered'', DFDL property ''floating'' must be ''no'' for all child elements. {0}.
CTDV1433E = CTDV1433E : When a sequence has non-element content, DFDL property ''floating'' must be ''no'' for all child elements. {0}.
CTDV1434E = CTDV1434E : For a choice, DFDL property ''floating'' must be ''no'' for all child elements. {0}.
CTDV1435E = CTDV1435E : DFDL property ''escapeEscapeCharacter'' must be a valid single character or a DFDL entity that represents a single character, or an expression which returns one of those, or empty. {0}.
CTDV1436E = CTDV1436E : DFDL property ''{1}'' must not contain DFDL entity class %WSP;, %WSP*; or %WSP+;. {0}.
CTDV1437E = CTDV1437E : DFDL property ''{1}'' must not contain DFDL entity class %NL;. {0}.
CTDV1438E = CTDV1438E : DFDL property ''{2}'' contains an invalid entity ''{0}''. A valid entity must obey pattern [''%#'' [0-9]+ '';'' | ''%#x'' [0-9a-fA-F]+ '';'' | ''%#r'' [0-9a-fA-F] (2)'';'' | ''%'' <name> '';'']. {1}.  
CTDV1439E = CTDV1439E : DFDL property ''ref'' does not refer to a known defineFormat annotation. Value ''{0}''. {1}.
CTDV1440E = CTDV1440E : DFDL property ''{1}'' must not contain DFDL byte value entity %#rXX;. {0}.
CTDV1441E = not used
CTDV1442E = CTDV1442E : For a sequence or choice, DFDL property ''initiatedContent'' must be set. {0}.
CTDV1443W = not used 
CTDV1444E = CTDV1444E : When ''binaryCalendarRep'' is ''binaryMilliSeconds'', DFDL property ''length'' must be 8. {0}.
CTDV1445E = CTDV1445E : When ''binaryCalendarRep'' is ''binarySeconds'', DFDL property ''length'' must be 4. {0}.
CTDV1446E = not used 
CTDV1447E = not used 
CTDV1448W = CTDV1448W : When ''binaryCalendarRep'' is not ''packed'', DFDL property ''binaryPackedSignCodes'' does not apply. {0}.
CTDV1449E = CTDV1449E : When number representation is text, DFDL property ''lengthKind'' must not be ''implicit''. {0}.
CTDV1450E = CTDV1450E : When type is decimal, integer or non-negative integer and ''binaryNumberRep'' is ''binary'', DFDL property ''lengthKind'' must not be ''implicit''. {0}.
CTDV1451E = CTDV1451E : When ''binaryNumberRep'' is ''bcd'', ''packed'' or ''ibm4690packed'', DFDL property ''lengthKind'' must not be ''implicit''. {0}.
CTDV1452E = CTDV1452E : When calendar representation is text, DFDL property ''lengthKind'' must not be ''implicit''. {0}
CTDV1453E = CTDV1453E : When ''binaryCalendarRep'' is ''bcd'', ''packed'' or ''ibm4690packed'', DFDL property ''lengthKind'' must not be ''implicit''. {0}.
CTDV1454E = CTDV1454E : When ''binaryCalendarRep'' is ''bcd'', ''packed'' or ''ibm4690packed'', DFDL property ''calendarPatternKind'' must be ''explicit''. {0}.
CTDV1455E = CTDV1455E : When ''binaryCalendarRep'' is ''bcd'', ''packed'' or ''ibm4690packed'', DFDL property ''calendarPattern'' must contain symbols that represent only digits. {0}.
CTDV1456E = not used 
CTDV1457E = CTDV1457E : For a calendar type, DFDL property ''calendarLanguage'' must be set. {0}.
CTDV1458E = CTDV1458E : DFDL property ''fillByte'' must be either a valid single character or a DFDL entity that represents a single character or byte. {0}.
CTDV1459E = CTDV1459E : DFDL property ''calendarLanguage'' value ''{1}'' is not a valid RFC 3066 language identification. {0}.
CTDV1460E = not used
CTDV1461E = not used
CTDV1462E = CTDV1462E : When ''minOccurs'' of an element is zero, DFDL property ''alignment'' must have the same value for the element and for any object that immediately follows. {0}.
CTDV1463E = CTDV1463E : When ''sequenceKind'' is ''unordered'', DFDL property ''emptyValueDelimiterPolicy'' must be ''initiator'' or ''both''.  {0}.
CTDV1464E = CTDV1464E : IBM DFDL implementation does not support a complex element with ''nillable'' value ''true''. {0} 
CTDV1465E = CTDV1465E : DFDL property ''textNumberPattern'' is not a valid pattern for a zoned text number. Pattern ''{0}''. {1}. 
CTDV1466E = CTDV1466E : DFDL properties ''separator'' (''{0}'') and ''escapeCharacter'' (''{1}'') can not include the same value. {2}.
CTDV1467E = CTDV1467E : DFDL properties ''separator'' (''{0}'') and ''escapeEscapeCharacter'' (''{1}'') can not include the same value. {2}.
CTDV1468E = CTDV1468E : When entity %NL; has been used in a DFDL property value, DFDL property ''outputNewLine'' must be set. {0}.
CTDV1469E = CTDV1469E : When ''lengthKind'' is ''implicit'' or ''explicit'', and ''textPadKind'' or ''textTrimKind'' is ''none'', all values of DFDL properties ''textBooleanTrueRep'' and ''textBooleanFalseRep'' must be the same length. {0}.
CTDV1470E = CTDV1470E : DFDL property ''extraEscapedCharacters'' must be either a list of valid single characters and DFDL entities that represent a single character or empty. {0}.
CTDV1471E = CTDV1471E : When type is date and representation is binary, DFDL property ''calendarPattern'' must be a valid date pattern that results in digits only. Pattern ''{0}''. {1}.
CTDV1472E = CTDV1472E : When type is time and representation is binary, DFDL property ''calendarPattern'' must be a valid time pattern that results in digits only. Pattern ''{0}''. {1}.
CTDV1473E = CTDV1473E : When type is dateTime and representation is binary, DFDL property ''calendarPattern'' must be a valid dateTime pattern that results in digits only. Pattern ''{0}''. {1}.
CTDV1474E = CTDV1474E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textNumberPadCharacter'' must be set. {0}.
CTDV1475E = CTDV1475E : DFDL property ''textNumberPadCharacter'' must not be empty. {0}.
CTDV1476E = CTDV1476E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textCalendarPadCharacter'' must be set. {0}.
CTDV1477E = CTDV1477E : DFDL property ''textCalendarPadCharacter'' must not be empty. {0}.
CTDV1478E = CTDV1478E : When either ''textPadKind'' or ''textTrimKind'' is ''padChar'', DFDL property ''textBooleanPadCharacter'' must be set. {0}.
CTDV1479E = CTDV1479E : DFDL property ''textBooleanPadCharacter'' must not be empty. {0}.
CTDV1480E = not used 
CTDV1481E = CTDV1481E : DFDL property ''{1}'' must not contain DFDL entities %NL; %WSP; %WSP*; %WSP+; or %ES;. {0}.

CTDV1482E=CTDV1482E: DFDL defineVariable property ''defaultValue'' expression ''{0}'' returned a value of type ''{1}'' which was not compatible the type of the variable ''{2}''. ''{3}'':''{4}''
CTDV1482D=The DFDL expression ''{0}'' for defineVariable property ''defaultValue'' must return a result of type compatible with the variable defined type.  
CTDV1482A=Modify the DFDL expression so that it returns a type compatible with ''{2}'' This can usually be done using a type constructor.
 
CTDV1483E=CTDV1483E: DFDL setVariable property ''value'' expression ''{0}'' returned a value of type ''{1}'' which was not compatible the type of the variable ''{2}''. ''{3}'':''{4}''
CTDV1483D=The DFDL expression ''{0}'' for setVariable property ''value'' must return a result of type compatible with the variable defined type.  
CTDV1483A=Modify the DFDL expression so that it returns a type compatible with ''{2}'' This can usually be done using a type constructor.
 
CTDV1484E=CTDV1484E: DFDL assert expression ''{0}'' returned a value of type ''{1}''. ''{2}''
CTDV1484D=The DFDL expression ''{0}'' in the DFDL assert must return a result of type ''xs:boolean''.  
CTDV1484A=Modify the DFDL expression so that it returns an xs:boolean. This can usually be done using the xs:boolean() constructor.
 
CTDV1485E=CTDV1485E: DFDL discriminator expression ''{0}'' returned a value of type ''{1}''. ''{2}''
CTDV1485D=The DFDL expression ''{0}'' in the DFDL discriminator must return a result of type ''xs:boolean''.  
CTDV1485A=Modify the DFDL expression so that it returns an xs:boolean. This can usually be done using the xs:boolean() constructor.
 
CTDV1486E=CTDV1486E: Wrong type for DFDL property ''{0}''. The type of this property is ''xs:string'' but DFDL expression ''{1}'' returned a value of type ''{2}''. ''{3}''
CTDV1486D=There is a problem with the DFDL expression for the ''{0}'' property on ''{3}''. This property expects a string value, but the DFDL expression returned a value of type ''{2}''
CTDV1486A=Modify the DFDL expression so that it returns an xs:string. This can usually be done using the xs:string() constructor.

CTDV1487E=CTDV1487E: Wrong type for DFDL property ''{0}''. The type of this property is ''xs:boolean'' but DFDL expression ''{1}'' returned a value of type ''{2}''. ''{3}''
CTDV1487D=There is a problem with the DFDL expression for the ''{0}'' property on ''{3}''. This property expects a boolean value, but the DFDL expression returned a value of type ''{2}''
CTDV1487A=Modify the DFDL expression so that it returns an xs:boolean. This can usually be done using the xs:boolean() constructor.
 
CTDV1488E=CTDV1488E: Wrong type for DFDL property ''{0}''. The type of this property is ''xs:nonNegativeInteger'' but DFDL expression ''{1}'' returned a value of type ''{2}''. ''{3}''
CTDV1488D=There is a problem with the DFDL expression for the ''{0}'' property on ''{3}''. This property expects an unsigned integer value, but the DFDL expression returned a value of type ''{2}''
CTDV1488A=Modify the DFDL expression so that it returns an unsigned integer type. This can usually be done using the xs:nonNegativeInteger() constructor.

CTDV1489W = CTDV1489W : DFDL property ''extraEscapedCharacters'' contains duplicate characters which will be ignored. {0}.
CTDV1490E = CTDV1490E : DFDL defineFormat annotations must not refer to each other recursively. {0}.
CTDV1491W = CTDV1491W : When ''textNumberRep'' is ''zoned'', DFDL property ''textStandardBase'' does not apply and base 10 is assumed. {0}.
CTDV1492E = CTDV1492E : When type is string and ''lengthKind'' is ''implicit'' and ''encoding'' is a multi-byte character set, DFDL property ''lengthUnits'' must be ''characters''. {0}.

CTDV1493E = CTDV1493E : XPath expression ''{1}'' contains a path location that does not resolve to an element in the schema: ''{0}''. {2}.
CTDV1493D = The DFDL parser is evaluating a DFDL expression that contains a path location. The path location can not be resolved to an element in the schema due to the reason given.
CTDV1493A = Correct the path location in the DFDL expression.

CTDV1494E = CTDV1494E : Duplicate DFDL defineVariable annotations. Each defineVariable must have a unique name. {0}.
CTDV1495E = CTDV1495E : DFDL defineVariable property ''type'' must be set. {0}.
CTDV1496E = CTDV1496E : DFDL defineVariable property ''type'' must be the QName of a built-in simple type. {0}.
CTDV1497E = CTDV1497E : DFDL newVariableInstance annotation for variable ''{1}'' in namespace ''{2}'' does not refer to a known DFDL defineVariable annotation. {0}.
CTDV1498E = CTDV1498E : DFDL setVariable annotation for variable ''{1}'' in namespace ''{2}'' does not refer to a known DFDL defineVariable annotation. {0}.
CTDV1499E = CTDV1499E : XPath expression ''{1}'' contains a circular reference. Detail: {0}. {2}.
CTDV1500W = CTDV1500W : DFDL does not support DFDL annotations on global group definitions. {0}.
CTDV1501E = CTDV1501E : DFDL defineVariable property ''defaultValue'' does not match the type of the variable. {0}.
CTDV1502E = CTDV1502E : DFDL newInstanceVariable property ''defaultValue'' does not match the type of variable ''{0}'' {1}.
CTDV1503E = CTDV1503E : DFDL setVariable property ''value'' does not match the type of variable ''{0}''. {1}.
CTDV1504W = CTDV1504W : XPath expression ''{0}'' refers to elements that might be outside the scope of the nearest global element, model group or complex type. The expression cannot be fully validated. {1}.
CTDV1505E = CTDV1505E : DFDL property ''binaryFloatRep'' must be either ''ieee'' or ''ibm390Hex'' or an expression. {0}.
CTDV1506E = CTDV1506E : Variable instance ''{0}'' can only be set once using a DFDL setVariable annotation. {1}.
CTDV1507E = CTDV1507E : When type is string and ''lengthKind'' is ''implicit'' or ''explicit'', DFDL property ''truncateSpecifiedLengthString'' must be set. {0}.
CTDV1508E = CTDV1508E : DFDL property ''byteOrder'' must be either ''bigEndian'' or ''littleEndian'' or an expression. {0}.
CTDV1509E = CTDV1509E : DFDL property ''length'' must be either a non-negative integer or an expression. {0}.
CTDV1510E = CTDV1510E : When type is float and representation is binary, DFDL property ''length'' must be 4 bytes. {0}. 
CTDV1511E = CTDV1511E : When type is double and representation is binary, DFDL property ''length'' must be 8 bytes. {0}. 
CTDV1512E = CTDV1512E : DFDL property ''{1}'' value contains entity %ES; which is only allowed for property ''nilValue''. {0}.
CTDV1513E = CTDV1513E : When DFDL property ''{1}'' is expressed as a byte value, it must be a single DFDL byte value entity (%#rXX;). {0}.
CTDV1514E = CTDV1514E : When ''lengthKind'' is ''delimited'', ''endOfParent'', ''prefixed'' or ''pattern'' and ''textPadKind'' is ''padChar'', validation facet ''minLength'' must be set. {0}.
CTDV1515E = CTDV1515E : DFDL property ''outputNewLine'' must only contain characters that are allowed for DFDL entity %NL;. {0}.
CTDV1516E = CTDV1516E : When ''textNumberRep'' is ''zoned'', the number of digits implied by the DFDL ''textNumberPattern'' property must match the DFDL ''length'' property. {0}.
CTDV1517E = CTDV1517E : DFDL property ''textStandardGroupingSeparator'' must not contain DFDL entities %NL; %WSP; %WSP*; %WSP+; %ES; %#rXX;. {0}.
CTDV1518E = CTDV1518E : DFDL property ''textStandardGroupingSeparator'' must be a single character or a DFDL entity that represents a single character, or an expression which returns one of those. {0}.
CTDV1519E = CTDV1519E : DFDL property ''textStandardDecimalSeparator'' must not contain DFDL entities %NL; %WSP; %WSP*; %WSP+; %ES; %#rXX;. {0}.
CTDV1520E = CTDV1520E : DFDL property ''textStandardDecimalSeparator'' must be a single character or a DFDL entity that represents a single character, or an expression which returns one of those. {0}.
CTDV1521E = CTDV1521E : DFDL property ''textStandardExponentRep'' must not contain DFDL entities %NL; %WSP; %WSP*; %WSP+; %ES; %#rXX;. {0}.
CTDV1522E = CTDV1522E : DFDL property ''textStandardExponentRep'' must be a single character or a DFDL entity that represents a single character, or an expression which returns one of those. {0}.
CTDV1523E = CTDV1523E : DFDL property ''textNumberPattern'' is a valid pattern for a standard text number, but not for a zoned text number. Only pattern symbols ''+V#P'' and digits are allowed. Pattern ''{0}''. {1}. 
CTDV1524E = CTDV1524E : For a complex element, when ''lengthKind'' is ''explicit'' or ''prefixed'', and ''lengthUnits'' is characters, all simple child elements must have text representation, ''lengthUnits'' set to ''characters'' and the same encoding. {0}.
CTDV1525E = CTDV1525E : DFDL assert annotation is only allowed on a local element, an element reference, a group reference, a sequence or a choice. {0}.
CTDV1526E = CTDV1526E : DFDL discriminator annotation is only allowed on a local element, an element reference, a group reference, a sequence or a choice. {0}.
CTDV1527E = CTDV1527E : When type is decimal, DFDL property ''decimalSigned'' must be set. {0}.
CTDV1528E = CTDV1528E : When ''textNumberRep'' is ''zoned'', DFDL property ''encoding'' must be an EBCDIC or ASCII compatible encoding. Encoding ''{1}''. {0}.
CTDV1529E = CTDV1529E : When ''textNumberRep'' is ''zoned'' and type is signed, DFDL property ''textNumberPattern'' must have a ''+'' present at one end of the pattern. {0}.
CTDV1530E = CTDV1530E : When ''textNumberRep'' is ''zoned'', type is unsigned and ''textNumberCheckPolicy'' is ''lax'', DFDL property ''textNumberPattern'' must have a ''+'' present at one end of the pattern.  {0}.  
CTDV1531E = not used 
CTDV1532E = CTDV1532E : DFDL property ''lengthUnits'' can only be ''bits'' if the type is boolean, unsignedByte, unsignedShort, unsignedInt or unsignedLong, and the representation is binary. {0}.
CTDV1533E = not used
CTDV1534E = CTDV1534E : When ''lengthUnits'' is ''bits'', DFDL property ''length'' must not exceed the implied length of the type. {0}.
CTDV1535E = CTDV1535E : When ''lengthKind'' is ''delimited'' or ''endOfParent'', and ''trailingSkip'' is non-zero, a terminator must be defined. {0}.
CTDV1536E = CTDV1536E : When ''sequenceKind'' is ''ordered'' and ''separatorSuppressionPolicy'' is ''never'', child elements must not have ''maxOccurs'' set to ''unbounded''.  {0}.
CTDV1537E = CTDV1537E : DFDL property ''inputValueCalc'' is not allowed on a complex element. {0}.
CTDV1538E = CTDV1538E : DFDL property ''inputValueCalc'' is not allowed on an optional element or an array element. {0}.
CTDV1539E = CTDV1539E : DFDL properties ''inputValueCalc'' and ''outputValueCalc'' are not allowed on the same element. {0}.
CTDV1540E = CTDV1540E : DFDL property ''inputValueCalc'' is not allowed on an element which has a default value. {0}.
CTDV1541E = CTDV1541E : DFDL property ''inputValueCalc'' is not allowed on an element which has a fixed value. {0}.
CTDV1542E = CTDV1542E : DFDL property ''inputValueCalc'' expression must not contain a direct or circular reference to the current element. {0}.
CTDV1543E = CTDV1543E : The alignment of a child object must not be greater than the alignment of its parent object. {0}.
CTDV1544E = CTDV1544E : DFDL property ''{1}'' is an expression but it contains a forward reference to an element, which is not allowed.  {0}.
CTDV1545E = CTDV1545E : DFDL property ''{1}''

CTDV1546E = CTDV1546E : The value of DFDL variable ''{0}'' in namespace ''{1}'' cannot be changed because the current value has already been used to evaluate a DFDL expression.     
CTDV1546D=The DFDL parser encountered a setVariable annotation in the DFDL schema. The specified variable cannot be set because its current value has already been read.   
CTDV1546A=If the value of this variable needs to change then create a new instance of the variable using the newInstance annotation. 

CTDV1547E = CTDV1547E : The value of DFDL variable ''{0}'' in namespace ''{1}'' cannot be changed because it has already been set. 
CTDV1547D=The DFDL parser encountered a setVariable annotation in the DFDL schema. The specified variable cannot be set because it has already been set.   
CTDV1547A=If the value of this variable needs to change then create a new instance of the variable using the newInstance annotation. 

CTDV1548E = CTDV1548E : DFDL expression ''{0}'' cannot be evaluated because the value of DFDL variable ''{1}'' is undefined.
CTDV1548D=The DFDL parser is evaluating a DFDL expression that refers to variable ''{1}'' but the value of the variable has not been set, and it does not have a default value. 
CTDV1548A=Assign a default value to the variable, or use a setVariable annotation to set its value.

CTDV1549E = CTDV1549E : DFDL expression ''{0}'' cannot be evaluated because a predicate expression returned a negative value. 
CTDV1549D=The DFDL parser is evaluating a DFDL expression that refers to a repeating element. The predicate expression returned a negative index. 
CTDV1549A=The DFDL schema is incorrect. Correct the DFDL expression or else correct the variables and info set items that it references.   

CTDV1550E = CTDV1550E : Wrong type for function argument : DFDL expression ''{0}'' cannot be evaluated because the argument supplied to XPath function ''{1}'' must be a number. 
CTDV1550D=The DFDL parser is evaluating a DFDL expression that uses the XPath function ''{1}''. The parameter must be a numeric value. 
CTDV1550A=Correct the DFDL expression.

CTDV1551E = CTDV1551E : DFDL expression ''{0}'' cannot be evaluated because the info set does not contain any elements matching the path reference ''{1}''.   
CTDV1551D=The DFDL parser is evaluating a DFDL expression that contains a reference to ''{1}''. That element has not been parsed, so does not exist in the info set. 
CTDV1551A=Correct the path reference, or edit the DFDL schema to ensure that the item is in the info set before the DFDL expression is processed.    

CTDV1552E = CTDV1552E : Circular reference : The default value of variable ''{0}'' in namespace ''{1}'' cannot be calculated because the default value expression depends on its own value.      
CTDV1552D=There is a circular dependency in the default value expression for variable ''{0}''.  
CTDV1552A=Edit the DFDL schema to remove the circular dependency.    

CTDV1553E = CTDV1553E : XPath error: Cannot cast string value ''{0}'' to type ''{1}''.
CTDV1553D=The DFDL expression is treating the string ''{0}'' as a ''{1}'' value but the value is not valid for the type. 
CTDV1553A=Edit the DFDL schema and correct the DFDL expression.
 
CTDV1554E = CTDV1554E : XPath invalid cast error: Cannot cast from type ''{0}'' to type ''{1}''  
CTDV1554D=The DFDL expression is attempting to cast between two simple types that are not compatible.  
CTDV1554A=Edit the DFDL schema and correct the DFDL expression. Consult the XPath specification for a list of allowable casts.

CTDV1555E = CTDV1555E : Wrong type for function argument : DFDL expression ''{0}'' cannot be evaluated because the argument supplied to XPath function ''{1}'' must be of type ''{2}''. 
CTDV1555D=The DFDL parser is evaluating a DFDL expression that uses the XPath function ''{1}''. The type of the parameter must be ''{2}''. 
CTDV1555A=Correct the DFDL expression.

CTDV1556E = CTDV1556E : Wrong type for function argument : DFDL expression ''{0}'' cannot be evaluated because the argument supplied to XPath function ''{1}'' must be ''xs:date'' or ''xs:time'' or ''xs:dateTime''. 
CTDV1556D=The DFDL parser is evaluating a DFDL expression that uses the XPath function ''{1}''. The type of the parameter must be a calendar type. 
CTDV1556A=Correct the DFDL expression.

CTDV1557E=Internal error while evaluating DFDL expression ''{0}'' 
CTDV1557D=The DFDL processor has encountered an internal error while evaluating DFDL expression ''{0}'' 
CTDV1557A=Please report this error to IBM

CTDV1558E = CTDV1558E : Incompatible operand types : DFDL expression ''{0}'' cannot be evaluated because the operands supplied to XPath operator ''{1}'' must be of compatible types. 
CTDV1558D=The DFDL parser is evaluating a DFDL expression that uses the XPath operator ''{1}''. The types of the operands are incompatible. 
CTDV1558A=Correct the DFDL expression.

CTDV1559E = CTDV1559E : When ''lengthKind'' is ''explicit'' or ''implicit'', DFDL property ''emptyValueDelimiterPolicy'' must not be ''initiator'' or ''both''. {0}.
CTDV1560E = CTDV1560E : When parent sequence ''initiatedContent'' is ''yes'', DFDL property ''nilValueDelimiterPolicy'' must not be ''none'' or ''terminator''. {0}.
CTDV1561E = CTDV1561E : When parent sequence ''initiatedContent'' is ''yes'', DFDL property ''emptyValueDelimiterPolicy'' must not be ''none'' or ''terminator''. {0}.
CTDV1562E = CTDV1562E : DFDL assert annotation must provide a test expression when the ''testKind'' property is ''expression'' or absent. {0}.
CTDV1563E = CTDV1563E : DFDL discriminator annotation must provide a test expression when the ''testKind'' property is ''expression'' or absent. {0}.
CTDV1564E = CTDV1564E : DFDL assert annotation must provide a test pattern when the ''testKind'' property is ''pattern''. {0}.
CTDV1565E = CTDV1565E : DFDL discriminator annotation must provide a test pattern when the ''testKind'' property is ''pattern''. {0}.
CTDV1566E = CTDV1566E : DFDL property ''hiddenGroupRef'' is not a valid QName reference to a global model group definition. {0}.
CTDV1567E = CTDV1567E : A sequence where DFDL property ''hiddenGroupRef'' is set must be empty. {0}.
CTDV1568E = CTDV1568E :	When an element is nillable and a terminator is specified, DFDL property ''nilValueDelimiterPolicy'' must be set. {0}.
CTDV1569E = CTDV1569E : When a terminator is specified, DFDL property ''emptyValueDelimiterPolicy'' must be set. {0}.
CTDV1570E = CTDV1570E : When a terminator is specified, DFDL property ''documentFinalTerminatorCanBeMissing'' must be set. {0}.
CTDV1571E = CTDV1571E : When an initiator is specified, DFDL property ''emptyValueDelimiterPolicy'' must be set. {0}.
CTDV1572E = CTDV1572E : When ''textNumberRounding'' is ''explicit'', DFDL property ''textNumberRoundingIncrement'' must be set. {0}. 
CTDV1573E = CTDV1573E : DFDL property ''textNumberRoundingIncrement'' must be a non-negative integer. {0}.
CTDV1574E = CTDV1574E : When number representation is text, DFDL property ''textNumberRounding'' must be set. {0}.
CTDV1575E = CTDV1575E : Variable instance ''{0}'' can not be set using a DFDL setVariable annotation because it has already been referenced from an expression. {1}.
CTDV1576E = CTDV1576E : A DFDL assert annotation and a DFDL discriminator annotation must not appear on the same object. {0}.
CTDV1577E = not used 
CTDV1578E = CTDV1578E : When a simple type is used as a prefix length, DFDL property ''lengthKind'' must be set to ''implicit'' or ''explicit'' and ''length'' must not be an expression. {0}.
CTDV1579E = CTDV1579E : When ''useNilForDefault'' is ''yes'', DFDL property ''nilValue'' must be set. {0}.
CTDV1580E = CTDV1580E : For a complex element, DFDL property ''occursCountKind'' must not be ''stopValue''. {0}.
CTDV1581E = CTDV1581E : DFDL property ''outputValueCalc'' is not allowed on an optional element or an array element. {0}.
CTDV1582E = CTDV1582E : DFDL property ''outputValueCalc'' is not allowed on an element which has a default value. {0}.
CTDV1583E = CTDV1583E : DFDL property ''outputValueCalc'' is not allowed on an element which has a fixed value. {0}.
CTDV1584E = CTDV1584E : DFDL property ''outputValueCalc'' expression must not contain a direct or circular reference to the current element. {0}.
CTDV1585E = CTDV1585E : DFDL property ''outputValueCalc'' is not allowed on a complex element. {0}.
CTDV1586E = CTDV1586E : When ''encoding'' is set to a UTF-16 encoding, DFDL property ''utf16Width'' must be set. {0}.
CTDV1587E = CTDV1587E : A DFDL discriminator annotation must not provide both a test expression and a test pattern. {0}.
CTDV1588E = CTDV1588E : A DFDL assert annotation must not provide both a test expression and a test pattern. {0}.
CTDV1589E = CTDV1589E : When a simple type is used as a prefix length, DFDL properties ''initiator'' and ''terminator'' must be empty. {0}.
CTDV1590E = CTDV1590E : When parent is a choice, all child elements must have property ''minOccurs'' greater than zero. {0}.
CTDV1591E = CTDV1591E : When ''lengthKind'' is ''endOfParent'', the element must be the final element in its group. {0}.
CTDV1592E = CTDV1592E : DFDL property ''{1}'' is not allowed on a global element. {0}.
CTDV1593E = CTDV1593E : DFDL property ''{2}'' value ''{0}'' must match the simple type of the element. {1}.
CTDV1594E = CTDV1594E : When ''nilKind'' is ''literalCharacter'', DFDL property ''lengthKind'' must be either ''implicit'' or ''explicit'' and ''length'' must not be an expression. {0}.
CTDV1595E = CTDV1595E : When a simple type is used as a prefix length, DFDL properties ''leadingSkip'' and ''trailingSkip'' must be ''0''. {0}.
CTDV1596E = CTDV1596E : When ''nilKind'' is ''literalCharacter'', DFDL property ''nilValue'' must be either a valid single character or a DFDL entity that represents a single character or byte. {0}.
CTDV1597E = CTDV1597E : When ''nilKind'' is ''literalCharacter'' and ''lengthUnits'' is ''characters'', if DFDL property ''nilValue'' is a byte value then the encoding must be fixed width. {0}.
CTDV1598E = CTDV1598E : When representation is binary and ''nilKind'' is ''literalValue'', DFDL property ''nilValue'' must only contain DFDL entities %#rXX; or %ES;. {0}.
CTDV1599E = CTDV1599E : A hidden global group definition must not contain a sequence with a DFDL ''hiddenGroupRef'' property that refers to the hidden group. {0}.
CTDV1600E = CTDV1600E : When an element is nillable, DFDL property ''useNilForDefault'' must be set. {0}.
CTDV1601E = CTDV1601E : When either ''minOccurs'' or ''maxOccurs'' is not 1, DFDL property ''occursCountKind'' must be set. {0}.
CTDV1602E = CTDV1602E : When ''occursCountKind'' is ''fixed'', properties ''minOccurs'' and ''maxOccurs'' must be the same. {0}. 
CTDV1603E = CTDV1603E : When ''lengthUnits'' is ''characters'', if DFDL property ''{1}'' is a byte value then the encoding must be fixed width. {0}.
CTDV1604W = CTDV1604W : When ''minOccurs'' and ''maxOccurs'' are 1, DFDL property ''{1}'' does not apply. {0}.
CTDV1605E = CTDV1605E : When a simple type is used as a prefix length, DFDL property ''alignment'' must be ''1''. {0}.
CTDV1606E = CTDV1606E : When ''lengthKind'' is ''prefixed'' and ''prefixIncludesPrefixLength'' is ''yes'', DFDL property ''lengthUnits'' must be compatible with the DFDL properties of the prefix length type. {0}.

CTDV1607E = CTDV1607E : A DFDL setVariable annotation is not allowed on a complex element. {0}
CTDV1607D = CTDV1607D : A setVariable annotation is allowed only on sequences, choices, group references, simple elements and simple types. 
CTDV1607A = CTDV1607A : Move the DFDL setVariable annotation to an earlier group or element in the schema. If necessary, an empty sequence can be placed immediately before the complex element to contain the setVariable annotation.

CTDV1608E = CTDV1608E : A DFDL newVariableInstance annotation is not allowed on an element or simple type. {0}
CTDV1608D = CTDV1608D : A newVariableInstance annotation is allowed only on sequences, choices and group references. 
CTDV1608A = CTDV1608A : Move the newVariableInstance annotation to an earlier group in the schema. If necessary, an empty sequence can be placed immediately before the element to contain the newVariableInstance annotation.

CTDV1611E = CTDV1611E : An object must have at most one DFDL discriminator. {0}.
CTDV1611D = CTDV1611D : There are two discriminators defined on this element or group. This is not allowed by the DFDL specification.
CTDV1611A = CTDV1611A : Move or delete all but one of the discriminators on this object. Consider creating empty sequences to contain some of the discriminators.

CTDV1612E = CTDV1612E : DFDL setVariable annotation for variable ''{1}'' in namespace ''{2}'' must specify a value. {0}.
CTDV1612D = CTDV1612D : A setVariable annotation was found without a value. 
CTDV1612A = CTDV1612A : Specify a value for this setVariable annotation.

CTDV1613E = CTDV1613E : DFDL defineVariable annotation for variable ''{0}'' in namespace ''{1}'' contains an invalid DFDL expression. It must not use path references in its default value expression ''{2}'' .
CTDV1613D = CTDV1613D : The default value of this defineVariable annotation refers to the DFDL info set. The default value expression is not allowed to contain paths that refer to the DFDL info set. It may only use literal values and DFDL variables.   
CTDV1613A = CTDV1613A : Specify a default value that is a static value, or specify a DFDL expression that refers only to static values and DFDL variables.

CTDV1614A = CTDV1614A : Ensure that the ''lengthPattern'' property of element ''{1}'' is a valid regular expression.
CTDV1614D = CTDV1614D : The DFDL property ''lengthPattern'' defines the regular expression used to extract the content of an element when ''lengthKind'' is ''pattern'', but the value ''{2}'' is not a valid regular expression as defined by the DFDL specification.
CTDV1614E = CTDV1614E : DFDL property ''lengthPattern'' must be a valid regular expression. Value ''{2}''. {0}.

CTDV1615A = CTDV1615A : Either change 'lengthKind' or ensure the element has a text representation.
CTDV1615D = CTDV1615D : The ''lengthKind'' property can only be set to ''pattern'' on elements that have a text representation but element ''{1}'' has a binary representation.
CTDV1615E = CTDV1615E : When representation is binary, DFDL property ''lengthKind'' must not be ''pattern''. {0}.

CTDV1616A = CTDV1616A : Ensure that the encoding of this child object is the same as its parent.
CTDV1616D = CTDV1616D : The ''lengthKind'' property of a complex element is ''pattern'', but a child object does not have the same encoding as the complex element.  Child  ''{1}''
CTDV1616E = CTDV1616E : For a complex element, when ''lengthKind'' is ''pattern'', all child objects must have the same character encoding. {0}.

CTDV1617A = CTDV1617A : Ensure that the representation of this child element is text.
CTDV1617D = CTDV1617D : The ''lengthKind'' property of a complex element is ''pattern'', but child element ''{1}'' does not have text representation.
CTDV1617E = CTDV1617E : For a complex element when ''lengthKind'' is ''pattern'', all simple child elements must have text representation. {0}. 

CTDV1618A = CTDV1618A : Modify the pattern such that \\w is not used.
CTDV1618D = CTDV1618D : The behaviour of the pattern construct \\w is inconsistent across regular expression engines when used on text with a Unicode codepage.  It is recommended that use of the pattern construct \\w is avoided.
CTDV1618W = CTDV1618W : When ''encoding'' is Unicode, the use of \\w in the DFDL ''lengthPattern'' property is not recommended. {0}.

# Expression detail message text
VARIABLENAME = Invalid variable name ''{0}'' found in a DFDL expression.
XPATHPARSER = Found {0} at line {1}, column {2}. Expected one of {3}
XPATHINVALIDQNAME = Invalid QName ''{0}''
XPATHINVALIDPREDICATE = Invalid predicate ''{0}''
XPATHINVALID = ''{0}'' not allowed in path location for object
XPATHINVALIDVARIABLEREF = Variable reference ''{0}'' not allowed in path location

# Object kinds 
DEFAULTFORMAT = DFDL schema default format
DEFINEFORMAT = DFDL defineFormat: {0}
DEFINEESCAPESCHEME = DFDL defineEscapeScheme: {0}
DEFINEVARIABLE = DFDL defineVariable: {0}
SEQUENCE = Sequence: {0}
CHOICE = Choice: {0}
ELEMENT = Element: {0}
GROUP = Group: {0}
GROUPREFERENCE = Group reference: {0}
SIMPLETYPE = Simple type: {0}
